# Outgoing Webhook

## Overview

The OutgoingWebhook resources represents the configuration of an external configuration that events from automation events will be sent to. The term "Outgoing" is often used for this type of webhook to indicate that events are outgoing from the Portant platform to an external destination.

For more details on how to listen to webhook events from Portant please see the following article: [listen-to-events-from-portant-via-webhooks](https://docs.portant.co/portant-docs/portant-developers/webhooks/listen-to-events-from-portant-via-webhooks "mention")

### Fields

<table><thead><tr><th width="224">Field</th><th width="139">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>String</td><td>The ID of the outgoing webhook configuration.</td></tr><tr><td>webhookUrl</td><td>String</td><td>The webhook address that events will be POST'ed to.</td></tr></tbody></table>

### Example

```
{
    "id": "owc_XY1Ys4gqrpX8cp",
    "webhookUrl": "https://webhook.site/d22c56ab-40ac-4f9a-93ef-02520235c0da"
},
```

## Endpoints

### Get an OutgoingWebhook

```
GET /workflows/<wkf_id>/outgoing-webhooks/
```

Retrieve the outgoing webhook configuration of the specific workflow as specified by the id.

#### Responses

| Status           | Body            |
| ---------------- | --------------- |
| 200 OK           | OutgoingWebhook |
| 403 Unauthorised | Error           |

### Create an OutgoingWebhook

```
POST /workflows/<wkf_id>/outgoing-webhooks/
```

Create the outgoing webhook configuration of the specific workflow as specified by the id.

#### Request

The request body must contain a single field that is the webhook URL you wish to receive events at.

```
{
    webhookUrl: "https://..."
}
```

#### Responses

| Status           | Body            |
| ---------------- | --------------- |
| 201 Created      | OutgoingWebhook |
| 400 Bad Request  | Error           |
| 403 Unauthorised | Error           |

### Update an OutgoingWebhook

```
PATCH /workflows/<wkf_id>/outgoing-webhooks/
```

Update the outgoing webhook configuration of the specific workflow as specified by the id.

#### Request

The request body must contain a single field that is the webhook URL you wish to receive events at.

```
{
    webhookUrl: "https://..."
}
```

#### Responses

| Status           | Body            |
| ---------------- | --------------- |
| 200 OK           | OutgoingWebhook |
| 400 Bad Request  | Error           |
| 403 Unauthorised | Error           |
